<form	(submit)="submit()">
	<div class="form-group">
		<label>Title</label>
		<input type="text" class="form-control form-control-sm"  [(ngModel)]="code.title" name="title" placeholder="title">
	</div>	
	<div *ngFor="let content of code.contents; let index=index">
		<input type="text" [(ngModel)]="content.label" name="label-{{index}}" placeholder="label, filename">
		<div class="action float-right">
			<label for="">type</label>
			<select [(ngModel)]="content.lang" name="lang-{{index}}" id="select-{{index}}" style="width: 100px">
				<option value="html">html</option>
				<option value="javascript">javascript</option>
				<option value="css">css</option>
			</select>
			<span class="badge badge-danger ml-2" style="cursor: pointer;" (click)="removeCodeContent(index)">&times;</span>
		</div>
		<div id="code-body-{{index}}"></div>					
	</div>

	<span (click)="addContentField()" style="cursor: pointer;" class="badge badge-primary"><i class="fa fa-plus"></i> Add Snippet</span>
	
	<div class="clearfix"></div>

	<div id="code-folders" class="form-group mt-3">
			<label for="">Folder</label>
			<div style="display: inline-block;" class="ml-1">
				<a (click)="openFoldersDropDown()">
					<span *ngIf="selectedFolder.title">{{selectedFolder.title}}</span>
					<span *ngIf="!selectedFolder.title" class="text-secondary"><em>Select a Folder</em></span>
					<i class="fas fa-caret-down ml-2"></i></a>
					<div  *ngIf="showFoldersDropDown" class="folderDropDown">
						<a (click)="selectRootFolder()" style="cursor: pointer; border:0"><i class="fa fa-folder"></i> / <em class="text-secondary">(root)</em></a>
						<app-code-folders [folders]="folders" [selectedFolder]="selectedFolder"></app-code-folders>
				</div>
			</div>
	</div>
	
	<div class="clearfix"></div>
	
	<div class="checkbox">
    <label><input type="checkbox" [(ngModel)]="code.private" name="private">Private</label>
  </div><!-- end .check -->
	
	<button class="btn btn-danger" type="submit">Submit</button>
	
</form>